
/*
Copyright (c) 2010 Donatien Garnier (donatiengar [at] gmail [dot] com)
 
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:
 
The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.
 
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

#include "netCfg.h"
#if NET_ZG2100

#include "zg_defs.h"
#include "zg_err.h"

//#define __DEBUG
#include "dbg/dbg.h"

zg_err zg_errcode(ZG_INT_ERR int_err) //Errcodes conversion
{
  switch(int_err)
  {
    case ZG_INT_OK:
      return ZG_OK;
    case ZG_INT_RESOURCES:
      return ZG_RESOURCES;
    case ZG_INT_TIMEOUT:
      return ZG_TIMEOUT;
    case ZG_INT_FRAME_ERROR:
      return ZG_FRAME_ERROR;
    case ZG_INT_AUTH_REFUSED:
      return ZG_AUTH_REFUSED;
    case ZG_INT_ASSOC_REFUSED:
      return ZG_ASSOC_REFUSED;
    case ZG_INT_IN_PROGRESS:
      return ZG_IN_PROGRESS;
    case ZG_INT_SUPPLICANT_FAILED:
      return ZG_SUPPLICANT_FAILED;
  }
  return ZG_UNKNOWN;
}


#endif
